Index: code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw
===================================================================
--- code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw	(revision 11424)
@@ -3,5 +3,5 @@
  description = "Final Boss"
  tags = "test"
- screenshot = "emptylevel.png"
+ screenshot = "frozen1.jpeg"
 />
 
@@ -11,4 +11,5 @@
   include("templates/lodInformation.oxt")
   include("templates/HeavyCruiser.oxt")
+   include("templates/pickupRepresentationTemplates.oxt")
 ?>
 
@@ -16,4 +17,9 @@
   include("templates/Bossspawnship.oxt")
   include("templates/Bossship.oxt")
+
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/fastship.oxt")
 
   ?>
@@ -32,64 +38,1029 @@
   >
 
+  <?lua
+      include("includes/pickups.oxi")
+    ?>
+
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
 
-    <SpawnPoint team=0 position="-200,0,0" lookat="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000" scale3D="1,1,1">
+    <SpawnPoint team=0 position="-200,0,0" lookat="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipsputim />
+
+
+
+
+
+
+<?lua
+      for i = 1, 250, 1
+      do
+      j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"
+      collisionType = dynamic
+      linearDamping = 0.8
+      angularDamping = 0
+      scale = "<?lua print(j * 150)?>"
+      collisiondamage = 1
+      enablecollisiondamage = true
+    >
+      <attached>
+        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <?lua
+      end
+    ?>
+
+
+
+
+<Spawnpoint team= 1 position="0,10,10" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="0,10,10" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+
+          	<?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+            <?lua
+      end
+    ?>
+            
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+
+
+
+
+
+
+
+
+
+
+
+    <SpaceShip position="0, 0, 100" lookat="0,0,0" team=0  name="d2sd1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <DivisionController team=0 formationMode="DIAMOND" />
+        <WaypointPatrolController alertnessradius=1000 attackradius=900 />
+      </controller>
+    </SpaceShip>
+
+     <SpaceShip position="-400, 150, -100" lookat="0,0,0" team=0 name="d1sd1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <DivisionController team=0 formationMode="WALL">
+        	<SectionController team=0>
+        </SectionController>
+
+        </DivisionController>
+      </controller>
+    </SpaceShip>
+    <SpaceShip position="-400, 190, -100" lookat="0,0,0" team=0 name="d1ss1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <SectionController team=0>
+        </SectionController>
+      </controller>
+    </SpaceShip>
+
+ <!-- TRIGGERS -->
+    <DistanceTrigger name="FormationInit" position="800,700,600"  target="Pawn" distance=60 stayActive="true" delay=0.1 />
+    <DistanceTrigger name="LetsGo"        position="200,-200,1000" target="Pawn" distance=180 stayActive="true" delay=0.1 />
+    <BlinkingBillboard colour="1,1,0.05" position="200,-200,1000" frequency=0.6 amplitude=3 material="Flares/lensflare" />
+
+    <Script code="formationcontroller formationflight true" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event=FormationInit />
+            </trigger>
+        </events>
+    </Script> <!-- !!! activates formation behaviour !!! -->
+
+    <Script code="artificialcontroller setbotlevel 5" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event=FormationInit />
+            </trigger>
+        </events>
+    </Script>
+
+    <SimpleNotification message="Let's go!">
+        <events>
+            <trigger>
+                <EventListener event="LetsGo" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+
+
+<!-- ADDING FORMATION: 2 Swallows -->
+<?lua for i=0,1,1 do
+?>
+    <SpaceShip position="<?lua print(400+i*200) ?>,-200,1000" lookat="-1300,-600,900" visible="true">
+        <templates>
+            <Template link=spaceshipassff /> <!--spaceshipTransporter spaceshippirate-->
+        </templates>
+        <controller>
+            <AIController team=0>
+                <events>
+                    <activity>
+                        <EventListener event="LetsGo" />
+                     </activity>
+                </events>
+            </AIController>
+        </controller>
+    </SpaceShip>
+<?lua end ?>
+
+    
+
+    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" scale3D="1,1,1" health = 2000 initialhealth = 1000 maxhealth = 1000  Team= 1>
       <templates>
         <Template link= bossship />
       </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <Model mesh="sphere.mesh" scale=4 position="300,100,100" />
+            <Model mesh="sphere.mesh" scale=4 position="500,-200,-300" />
+            <Model mesh="sphere.mesh" scale=4 position="-700,-300,-300" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
     </ModularSpaceShip>
 
 
-<MovableEntity position="0,0,0" rotationrate="45" rotationaxis="0,0,1">
-    <attached>
-        <Model position="0,0,0" mesh="IceStar.mesh" scale3D="100,100,100" />
-        <MovableEntity position="0,0,0" rotationrate="180" rotationaxis="0,1,0">
+
+
+    <Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+
+<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,0,100" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger4" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger4" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger4" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger4" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger4" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+
+
+
+		<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="2,2,2" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger2" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger2" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger2" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger2" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger2" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+		<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger3" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger3" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger3" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger3" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger3" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+<!--
+<MovableEntity position="-50,-50,-50" rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+        <Model position="-50,-50,-50" mesh="IceStar.mesh" scale3D="100,100,100" />
+        <MovableEntity position="-50,-50,-50" rotationrate="180" rotationaxis="0,1,0">
             <attached>
-                <Model position="0,0,0" mesh="sphere.mesh" scale3D="1,1,10" />
+                <Model position="-50,-50,-50" mesh="sphere.mesh" scale3D="1,1,10" />
             </attached>
         </MovableEntity>
     </attached>
-</MovableEntity>
-
-<MovableEntity position="0,0,0" rotationrate="45" rotationaxis="0,1,0">
-    <attached>
-        <Model position="0,0,0" mesh="IceStar.mesh" scale3D="100,100,100" />
-        <MovableEntity position="0,0,0" rotationrate="180" rotationaxis="0,1,0">
-            <attached>
-                <Model position="0,0,0" mesh="sphere.mesh" scale3D="1,1,10" />
-            </attached>
-        </MovableEntity>
-    </attached>
-</MovableEntity>
-<!--
-<StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
-    <attached> 
-        <Model position="0,0,0" mesh="IceStar.mesh" scale3D="10000,10000,1000" /> 
-    </attached> 
-    <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
-    </collisionShapes> 
-</StaticEntity>
--->
-
-
-
-    <!--
-
-    <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
-    <attached> 
-        <Model position="0,0,0" mesh="Transporter.mesh" scale3D="10000,10000,1000" /> 
-    </attached> 
-    <collisionShapes> 
-        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
-    </collisionShapes> 
-</StaticEntity>
-
-  
--->
-
-    
+</MovableEntity>-->
+
+
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+
+
+ <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship health=200 >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+           <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+            <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <StaticEntity >
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </StaticEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <StaticEntity >
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </StaticEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    	<attached>
+    		<Model mesh="Spacegate.mesh" scale=5 position="0,100, 1000"/>
+    	</attached>
+    </MovableEntity>
+
+
+
   </Scene>
 </Level>
Index: code/branches/Boss_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi
===================================================================
--- code/branches/Boss_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi	(revision 11424)
@@ -1,6 +1,7 @@
+<!--
 <weaponslots>
       <WeaponSlot position="-9.2,2,-13" />
       <WeaponSlot position=" 9.2,2,-13" />
-    </weaponslots>
+ </weaponslots>
     <weaponsets>
       <WeaponSet firemode=0 />
@@ -14,9 +15,9 @@
         </links>
         <Weapon> 
-          <!--<HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" /> -->
-          <IceGun mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
+         
+          <IceGun mode=0 munitionpershot=1 delay=0 damage=20 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
         </Weapon>
         <Weapon>
-          <IceGun mode=0 munitionpershot=1 delay=0     damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh" />
+          <IceGun mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh"  />
         </Weapon>
       </WeaponPack>
@@ -28,5 +29,58 @@
     </weaponpacks>
     <munition>
-      <!-- <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/> -->
+    
       <IceMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
     </munition>
+
+-->
+ <weaponslots>
+      <WeaponSlot position="-15.0,-1.5,0" />
+      <WeaponSlot position=" 15.0,-1.5,0" />
+      <WeaponSlot position="    0,   0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+            <IceGun mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh"  />
+          </attached>
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=20 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=8 />
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=2 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/Boss_FS17/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/Boss_FS17/data/levels/includes/weaponSettingsEscort.oxi	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/includes/weaponSettingsEscort.oxi	(revision 11424)
@@ -29,3 +29,4 @@
     <munition>
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      
     </munition>
Index: code/branches/Boss_FS17/data/levels/shieldTest.oxw
===================================================================
--- code/branches/Boss_FS17/data/levels/shieldTest.oxw	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/shieldTest.oxw	(revision 11424)
@@ -9,5 +9,5 @@
   include("HUDTemplates3.oxo")
   include("stats.oxo")
-  include("templates/spaceshipImmTest.oxt")
+  include("templates/spaceshipAssff.oxt")
   include("templates/lodInformation.oxt")
 ?>
@@ -61,5 +61,5 @@
       for i = 1, 10, 1 do
     ?>
-      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipimmtest />
+      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
     <?lua end ?>
 
Index: code/branches/Boss_FS17/data/levels/templates/Bossship.oxt
===================================================================
--- code/branches/Boss_FS17/data/levels/templates/Bossship.oxt	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/templates/Bossship.oxt	(revision 11424)
@@ -7,17 +7,21 @@
 	collisionType= "dynamic" 
 	mass = 10000000 
-
-	health = 1000
-	initialhealth = 1000
-	maxhealth = 1000
-	
-	
-	
-	
-	rotationaxis = "1,0,0" 
-	
-	
-   	rotationrate = "5"
+ shieldhealth=750 initialshieldhealth=750 maxshieldhealth=750 shieldabsorption    = 1 shieldrechargerate  = 100 shieldrechargewaittime = 0.1 
+
+   
+	
+	
+	
+	
+	rotationaxis = "1,1,0" 
+	
+	
+   	rotationrate = "100"
    	>
+
+   	
+  <?lua
+  include("../includes/BossSpawnWeaponSetting.oxi")
+  ?>
 	
    	<!-- Destructible parts -->
@@ -25,5 +29,5 @@
    	<parts>
 
-   		<ShipPart name = "tunnelsystem" initialhealth="1000" maxhealth="1000" damageabsorption="0.5" explosionposition="0,0,0">
+   		<ShipPart name = "tunnelsystem" initialhealth="500" maxhealth="500" damageabsorption="0.5" explosionposition="0,0,0" >
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
@@ -34,4 +38,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -40,4 +45,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -46,4 +52,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -52,4 +59,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -58,4 +66,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -64,4 +73,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -70,4 +80,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -76,4 +87,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -82,4 +94,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -88,4 +101,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -94,4 +108,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -100,4 +115,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -106,4 +122,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -111,5 +128,6 @@
         <ShipPart name = "ct3" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -118,4 +136,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -124,4 +143,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
             </destructionevents>
         </ShipPart>
@@ -130,4 +150,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
@@ -138,4 +159,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
@@ -146,4 +168,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
@@ -154,4 +177,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
@@ -162,4 +186,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />  
@@ -169,5 +194,6 @@
         <ShipPart name = "part6" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
@@ -177,5 +203,6 @@
         <ShipPart name = "part7" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
             <destructionevents>
-                <PartDestructionEvent targetType="ship"  operation="destroy" />
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
@@ -186,4 +213,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
@@ -194,4 +222,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
@@ -202,4 +231,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
@@ -210,4 +240,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
@@ -218,4 +249,5 @@
             <destructionevents>
                 <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
                 <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
                 <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
@@ -264,7 +296,4 @@
 
 
-        <Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" lookat="0,0,0" pitch="-30" yaw="0" roll="90" />
-
-
 		<!-- coordinates (0,0,0) element 0-->
         
@@ -305,5 +334,5 @@
 		<!-- Tunnelsystem -->
 
-		<StaticEntity  name = "tunnelsystem"collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
+		<StaticEntity  name = "tunnelsystem" collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
 			<attached>
 				<Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" />
Index: code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt
===================================================================
--- code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11388)
+++ code/branches/Boss_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11424)
@@ -1,3 +1,3 @@
-<Template name=spaceshipescort>
+<Template name=spaceshipsputim>
   <SpaceShip
    hudtemplate            = spaceshiphud
@@ -7,7 +7,7 @@
    explosionchunks        = 10
 
-   health            = 80
+   health            = 200
    maxhealth         = 200
-   initialhealth     = 80
+   initialhealth     = 200
 
    shieldhealth        = 35
@@ -43,9 +43,9 @@
     </engines>
     <attached>
-      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="Thruster.mesh" />
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="assff.mesh" />
       <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" /> 
       
       <!--Thruster. -->
-<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" "assff.mesh"/>
 <Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
 <Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
@@ -70,4 +70,5 @@
       <ExplosionPart mesh="explosionparts/escort_part_6.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
     </explosion>
+
 <?lua
   include("../includes/BossSpawnWeaponSetting.oxi")
Index: code/branches/Boss_FS17/src/modules/weapons/weaponmodes/IceGun.cc
===================================================================
--- code/branches/Boss_FS17/src/modules/weapons/weaponmodes/IceGun.cc	(revision 11388)
+++ code/branches/Boss_FS17/src/modules/weapons/weaponmodes/IceGun.cc	(revision 11424)
@@ -51,5 +51,5 @@
         RegisterObject(IceGun);
 
-        // Default values
+        // Default val
         this->reloadTime_ = 1.0f;
         this->damage_ = 0.0f;
Index: code/branches/Boss_FS17/src/orxonox/items/PartDestructionEvent.cc
===================================================================
--- code/branches/Boss_FS17/src/orxonox/items/PartDestructionEvent.cc	(revision 11388)
+++ code/branches/Boss_FS17/src/orxonox/items/PartDestructionEvent.cc	(revision 11424)
@@ -69,4 +69,5 @@
         XMLPortParam(PartDestructionEvent, "value", setEventValue, getEventValue, xmlelement, mode).defaultValues(0);
         XMLPortParam(PartDestructionEvent, "message", setMessage, getMessage, xmlelement, mode).defaultValues("NULL");
+        XMLPortPAram(PartDestructionEvent, "spawn", setSpawn, getSpawn, xmlelement, mode).defaultValues("NULL");
 
         /*
@@ -100,4 +101,7 @@
             case TargetParam::shieldhealth:
                 this->parent_->getParent()->setShieldHealth(operate(this->parent_->getParent()->getShieldHealth()));
+                break;
+            case TargetParam::maxshieldhealth:
+                this->parent_->getParent()->setMaxShieldHealth(operate(this->parent_->getParent()->getMaxShieldHealth()));
                 break;
             case TargetParam::boostpower:
